Package org.apache.catalina.core

# Class ApplicationMappingImpl

java.lang.Object
org.apache.catalina.core.ApplicationMappingImpl

public class ApplicationMappingImpl extends Object

## Constructor Summary

Constructors
Constructor
Description
`ApplicationMappingImpl(String matchValue, String pattern, ApplicationMappingMatch mappingType, String servletName)`

## Method Summary

Modifier and Type
Method
Description
`ApplicationMappingMatch`
`getMappingMatch()`
`String`
`getMatchValue()`
`String`
`getPattern()`
`String`
`getServletName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplicationMappingImpl

public ApplicationMappingImpl(String matchValue, String pattern, ApplicationMappingMatch mappingType, String servletName)

## Method Details

### getMatchValue

public String getMatchValue()

### getPattern

public String getPattern()

### getMappingMatch

public ApplicationMappingMatch getMappingMatch()

### getServletName

public String getServletName()